import json
import logging

log = logging.getLogger(__name__)


def read_json_to_dict(filename):
    """
    Reads a json file and returns a dict of it

    :param filename: the input file
    :return:
    """
    log.info(f"read_json_to_dict: filename: {filename}")
    f = open(filename, "r")
    return json.loads(f.read())


def write_dict_to_json(data, filename):
    """
    Writes a dict to a file

    :param data: a data dictionary
    :param filename: the filename it will save the json to
    :return:
    """
    log.info(f"write_dict_to_json: filename: {filename}")
    f = open(filename, "w")
    f.write(json.dumps(data, sort_keys=True, indent=4, default=vars))
    f.close()
