# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['gitlab_usermgmt']

package_data = \
{'': ['*']}

install_requires = \
['jinja2>=2.11.2,<3.0.0',
 'python-dateutil>=2.8.1,<3.0.0',
 'python-gitlab>=2.7.1,<3.0.0',
 'requests>=2.25.1,<3.0.0']

entry_points = \
{'console_scripts': ['gitlab_usermgmt = gitlab_usermgmt.cli:main']}

setup_kwargs = {
    'name': 'gitlab-usermgmt',
    'version': '1.0.1',
    'description': 'Manage big GitLab groups with automation.',
    'long_description': '===============\ngitlab_usermgmt\n===============\n\n\n.. image:: https://img.shields.io/pypi/v/gitlab_usermgmt.svg\n        :target: https://pypi.python.org/pypi/gitlab_usermgmt\n        :alt: Pypi Status\n\n.. image:: https://gitlab.com/ayeks/gitlab_usermgmt/badges/master/pipeline.svg\n        :target: https://gitlab.com/ayeks/gitlab_usermgmt/pipelines/latest\n        :alt: CICD Pipeline Status\n\n.. image:: https://gitlab.com/ayeks/gitlab_usermgmt/badges/master/coverage.svg\n        :target: https://gitlab.com/ayeks/gitlab_usermgmt/-/commits/master\n        :alt: Coverage\n\n.. image:: https://img.shields.io/badge/docs-online-brightgreen\n        :target: https://ayeks.gitlab.io/gitlab_usermgmt\n        :alt: Documentation\n\n\nManage big GitLab groups with automation.\n\n* Free software: MIT license\n* Sourcecode: https://gitlab.com/ayeks/gitlab_usermgmt\n* Issues: https://gitlab.com/ayeks/gitlab_usermgmt/issues\n* Documentation: https://ayeks.gitlab.io/gitlab_usermgmt\n\nFeatures\n--------\n\n* lists all user access rights for a group inclusive all subgroups and projects\n* manage users access to GitLab groups or projects by defining user groups in a JSON file\n* grant all users in a group access to defined shared GitLab groups or projects\n* set expire dates for user access\n* create GitLab issues to notify users about expiring access via email\n* use gitlab_usermgmt in GitLab CI to automate it completely\n\nUsage\n-----\n\nCheckout the full `usage documentation`_ for detailed information and required config files.\n\n.. _usage documentation: https://ayeks.gitlab.io/gitlab_usermgmt\n\nInstall gitlab_usermgmt.::\n\n  pip install gitlab-usermgmt\n\nExecute gitlab_usermgmt in dry run first. Assuming you have your GitLab Token in the env var ``GITLAB_TOKEN``::\n\n  gitlab_usermgmt --config config.json --dry_run\n\nYou can increase the output level with ``--verbose``. Review the output and if you are agree with the changes apply them::\n\n  gitlab_usermgmt --config config.json\n\nCredits\n-------\n\nThis package was created with Cookiecutter_ and the `wboxx1/cookiecutter-pypackage`_ project template.\n`Adrien Coquet`_ created the `logo`_.\n\n.. _Cookiecutter: https://github.com/audreyr/cookiecutter\n.. _`wboxx1/cookiecutter-pypackage`: https://github.com/wboxx1/cookiecutter-pypackage-poetry\n.. _logo: https://thenounproject.com/search/?q=automation&i=2689746\n.. _Adrien Coquet: https://www.behance.net/coquet_adrien\n',
    'author': 'Lars Lühr',
    'author_email': 'lars.luehr@ayeks.de',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://ayeks.gitlab.io/gitlab_usermgmt',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
